%define madwifi_version  0.9.2

Name: hostapd
Version: 0.4.9
Release: alt2.1
License: GPL
Group: System/Kernel and hardware
Summary: User space daemon for extended IEEE 802.11 management
Url: http://hostap.epitest.fi/
Source0: %name-%version.tar.gz
Source1: hostapd.sysconfig
Source2: hostapd.init
Source3: defconfig
Patch0: %name-0.4.9-alt-config.patch
BuildRequires: libssl-devel
BuildRequires: kernel-source-madwifi = %madwifi_version
BuildRequires: kernel-build-tools >= 0.7

PreReq: coreutils
PreReq: modutils

Obsoletes: hostap-tools

%description
This is a Linux driver for wireless LAN cards based on Intersil's
Prism2/2.5/3 chipset. The driver supports a so called Host AP mode, i.e.,
it takes care of IEEE 802.11 management functions in the host computer
and acts as an access point.

%prep

%setup -q

rm -rf kernel-source-madwifi-%madwifi_version

tar -jxvf %kernel_src/kernel-source-madwifi-%madwifi_version.tar.bz2
%patch0 -p1

%build
%__cp %SOURCE3 .config
%__subst 's|-I../head|-I./kernel-source-madwifi-%madwifi_version|' .config
%make_build

%install
mkdir -p %buildroot%_initdir
mkdir -p %buildroot%_sysconfdir/sysconfig
mkdir -p %buildroot%_sysconfdir/%name
mkdir -p %buildroot%_sbindir

%__install %SOURCE1		%buildroot%_sysconfdir/sysconfig/%name
%__install %SOURCE2		%buildroot%_initdir/%name

%__install hostapd		%buildroot%_sbindir
%__install hostapd.conf		%buildroot%_sysconfdir/%name
%__install hostapd.accept	%buildroot%_sysconfdir/%name
%__install hostapd.deny		%buildroot%_sysconfdir/%name

%files
%config(noreplace) %_sysconfdir/sysconfig/%name
%dir %attr(0700,root,root) %_sysconfdir/%name
%config(noreplace) %attr(0600,root,root) %_sysconfdir/%name/*
%config %_initdir/%name
%_sbindir/*
%doc README

%changelog
* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.9-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Sat Sep 02 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.9-alt2
- rebuild with madwifi 0.9.2
- move dump-file /tmp -> /root/tmp

* Wed May 17 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.9-alt1
- 0.4.9

* Tue Apr 11 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.8-alt2
- rebuild with new madwifi-ng (20060411)

* Sun Feb 12 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.8-alt1
- 0.4.8

* Mon Feb 06 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.7-alt2
- rebuild with new madwifi-ng (0.9.4.5)

* Sun Dec 11 2005 Alexei Takaseev <taf@altlinux.ru> 0.4.7-alt1
- 0.4.7

* Thu Jun 23 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt2
- rebuild with new madwifi (0.9.14.9)

* Tue Jun 14 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt1
- 0.3.9

* Tue Mar 15 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.7-alt1
- 0.3.7
- Add support wired, madwifi and prism54 drivers

* Tue Jan 04 2005 Alexei Takaseev <taf@altlinux.ru> 0.2.6-alt1
- 0.2.6

* Thu Oct 07 2004 Alexei Takaseev <taf@altlinux.ru> 0.2.5-alt1
- 0.2.5

* Sun Jul 18 2004 Alexei Takaseev <taf@altlinux.ru> 0.2.4-alt1
- 0.2.4

* Mon Feb 09 2004 Alexei Takaseev <taf@altlinux.ru> 0.1.3-alt1
- 0.1.3

* Mon Nov 03 2003 Alexei Takaseev <taf@altlinux.ru> 0.1.0-alt1
- first build for ALT Sisyphus
